import {Component, h, Prop} from '@stencil/core';

@Component({
  tag: 'hy-dropdown-panel',
  shadow: false,
})
export class HyDropdownPanel {
  @Prop() isHidden: boolean;

  render() {
    return (
      <ul
        id="dropdownPanel"
        class={`hy-dropdown__panel ${this.isHidden ? 'is-hidden' : ''}`}
        aria-hidden={`${this.isHidden || false}`}
        role="region"
        aria-labelledby="dropdownToggle"
      >
        <slot />
      </ul>
    );
  }
}
