import {Component, Host, Prop, h} from '@stencil/core';
import {LinkVariants} from '../../utils/utils';

@Component({
  tag: 'hy-link',
  styleUrl: 'link.scss',
  shadow: true,
})
export class Link {
  @Prop() variant: LinkVariants = LinkVariants.default;
  @Prop() linkContent: string = '';
  @Prop() url?: string;
  @Prop() scLabel?: string;
  @Prop() isExternal: boolean = false;

  render() {
    const classAttributes = ['hy-link', this.variant];
    const target = this.isExternal ? '_blank' : '_self';

    return (
      <Host>
        <a aria-label={this.scLabel} class={classAttributes.join(' ')} href={this.url} target={target}>
          {this.linkContent}
        </a>
      </Host>
    );
  }
}
