---
title: Link
sidebar: true
---

# Link

Link has two variants. Regular link and with-in-paragraph link.

## Usage

### Default link

<hy-docs-container>
  <hy-link 
    url="https://www.helsinki.com"
    link-content="Regular link"
    sc-label="Regular link"
    is-external="false"
  >
  </hy-link>
</hy-docs-container>

```
<hy-link
  url="https://www.helsinki.com"
  link-content="Regular link"
  sc-label="Regular link"
  is-external="false"
>
</hy-link>
```

### With-in-paragraph link

<hy-docs-container>
  <hy-link
    variant="within-paragraph"
    link-content="Link within paragraph"
    sc-label="Link within paragraph"
    url="https://www.google.com"
    is-external="true"
  >
  </hy-link>
</hy-docs-container>

```
<hy-link
  variant="within-paragraph"
  link-content="Link within paragraph"
  sc-label="Link within paragraph"
  url="https://www.google.com"
  is-external="true"
>
</hy-link>
```

<!-- Auto Generated Below -->

## Properties

| Property      | Attribute      | Description | Type                                             | Default                |
| ------------- | -------------- | ----------- | ------------------------------------------------ | ---------------------- |
| `isExternal`  | `is-external`  |             | `boolean`                                        | `false`                |
| `linkContent` | `link-content` |             | `string`                                         | `''`                   |
| `scLabel`     | `sc-label`     |             | `string`                                         | `undefined`            |
| `url`         | `url`          |             | `string`                                         | `undefined`            |
| `variant`     | `variant`      |             | `LinkVariants.default \| LinkVariants.paragraph` | `LinkVariants.default` |

---

Helsinki University Design System
